<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LTodAccess StructType
 * @subpackage Structs
 */
class LTodAccess extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The ownerIdName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $ownerIdName;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LTodAccess
     * @uses LTodAccess::setName()
     * @uses LTodAccess::setDescription()
     * @uses LTodAccess::setOwnerIdName()
     * @uses LTodAccess::setUuid()
     * @param string $name
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $ownerIdName
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $ownerIdName = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setOwnerIdName($ownerIdName)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LTodAccess
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LTodAccess
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get ownerIdName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getOwnerIdName()
    {
        return $this->ownerIdName;
    }
    /**
     * Set ownerIdName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $ownerIdName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LTodAccess
     */
    public function setOwnerIdName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $ownerIdName = null)
    {
        $this->ownerIdName = $ownerIdName;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LTodAccess
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
